Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.urimapper.impl
Class QueryURIMapper

    java.lang.Object
      org.openxri.config.impl.AbstractComponent
          org.openxri.urimapper.impl.QueryURIMapper

All Implemented Interfaces:
  java.io.Serializable, Component, URIMapper

    public class QueryURIMapper

extends AbstractComponent
implements URIMapper

Implements the URIMapper interface based on a simple query-parameter based scheme. ns=??? is used to query within a namespace, id=??? is used to query an authority id.

Author:
  =chetan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.openxri.config.impl.AbstractComponent
`properties`

Constructor Summary
`QueryURIMapper(java.util.Properties properties)`

Method Summary
`void` | `completeURI(java.lang.StringBuffer uri, java.lang.String namespace)` Appends the needed path or query fragment to the provided URI for resolution to this server
`void` | `init()` A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.
`URIMapperResult` | `parseRequest(URIMapperRequest request)` Parses an incoming request (containing of path and query part of a URI)

Methods inherited from class org.openxri.config.impl.AbstractComponent
`getProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openxri.config.Component
`getProperties`

Constructor Detail

### QueryURIMapper

    public QueryURIMapper(java.util.Properties properties)

Method Detail

### init

    public void init()

  Description copied from interface: `Component`
  A server component is constructed by the ComponentRegistry by passing a Properties object to its constructor and then calling this init() method.

  Specified by:
    `init` in interface `Component`

### parseRequest

    public URIMapperResult parseRequest(URIMapperRequest request)

  Description copied from interface: `URIMapper`
  Parses an incoming request (containing of path and query part of a URI)

  Specified by:
    `parseRequest` in interface `URIMapper`
  Parameters:
    `request` - The path and query of the HTTP request.

### completeURI

    public void completeURI(java.lang.StringBuffer uri,
                            java.lang.String namespace)

  Appends the needed path or query fragment to the provided URI for resolution to this server

  Specified by:
    `completeURI` in interface `URIMapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.